petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectsDump

Prints the currently existing objects.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectsDump(FILE *fd,PetscBool all)

Logically Collective on PetscViewer

### Input Parameter

| fd | - file pointer
| all | - by default only tries to display objects created explicitly by the user, if all is PETSC_TRUE then lists all outstanding objects

### Options Database

-objects_dump <all> -

### Level

advanced

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages